CVE-2015-7222

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Integer underflow in the Metadata::setData function in MetaData.cpp in libstagefright in Mozilla Firefox before 43.0 and Firefox ESR 38.x before 38.5 allows remote attackers to execute arbitrary code or cause a denial of service (incorrect memory allocation and application crash) via an MP4 video file with crafted covr metadata that triggers a buffer overflow.

References

http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174083.html

http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174253.html

http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00021.html

http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00022.html

http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00023.html

http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00038.html

http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00049.html

http://lists.opensuse.org/opensuse-updates/2015-12/msg00104.html

http://lists.opensuse.org/opensuse-updates/2016-02/msg00007.html

http://lists.opensuse.org/opensuse-updates/2016-02/msg00008.html

http://rhn.redhat.com/errata/RHSA-2015-2657.html

http://www.debian.org/security/2015/dsa-3422

http://www.mozilla.org/security/announce/2015/mfsa2015-147.html

http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html

http://www.securityfocus.com/bid/79279

http://www.securitytracker.com/id/1034426

http://www.ubuntu.com/usn/USN-2833-1

https://bugzilla.mozilla.org/show_bug.cgi?id=1216748

https://security.gentoo.org/glsa/201512-10

Details

Source: MITRE

Published: 2015-12-16

Updated: 2018-10-30

Type: CWE-189

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Tenable Plugins

View all (22 total)

IDNameProductFamilySeverity
89295Fedora 22 : firefox-43.0-1.fc22 (2015-7ab3d3afcf)NessusFedora Local Security Checks
critical
89241Fedora 23 : firefox-43.0-1.fc23 (2015-51b1105902)NessusFedora Local Security Checks
critical
88550openSUSE Security Update : SeaMonkey (openSUSE-2016-129) (SLOTH)NessusSuSE Local Security Checks
medium
88547openSUSE Security Update : seamonkey (openSUSE-2016-126) (SLOTH)NessusSuSE Local Security Checks
medium
87716openSUSE Security Update : Mozilla Thunderbird (openSUSE-2015-977)NessusSuSE Local Security Checks
critical
87710GLSA-201512-10 : Mozilla Products: Multiple vulnerabilities (Bar Mitzvah) (Logjam)NessusGentoo Local Security Checks
critical
87649SUSE SLES11 Security Update : MozillaFirefox (SUSE-SU-2015:2336-1)NessusSuSE Local Security Checks
critical
87648SUSE SLED12 / SLES12 Security Update : MozillaFirefox (SUSE-SU-2015:2335-1)NessusSuSE Local Security Checks
critical
87647SUSE SLED11 / SLES11 Security Update : MozillaFirefox (SUSE-SU-2015:2334-1)NessusSuSE Local Security Checks
critical
87635openSUSE Security Update : xulrunner (openSUSE-2015-966)NessusSuSE Local Security Checks
critical
87620openSUSE Security Update : MozillaFirefox (openSUSE-2015-942)NessusSuSE Local Security Checks
critical
87492Scientific Linux Security Update : firefox on SL5.x, SL6.x i386/x86_64 (20151216)NessusScientific Linux Local Security Checks
critical
87476Firefox < 43 Multiple VulnerabilitiesNessusWindows
critical
87475Firefox ESR < 38.5 Multiple VulnerabilitiesNessusWindows
critical
87474Firefox < 43 Multiple Vulnerabilities (Mac OS X)NessusMacOS X Local Security Checks
critical
87473Firefox ESR < 38.5 Multiple Vulnerabilities (Mac OS X)NessusMacOS X Local Security Checks
critical
87455RHEL 5 / 6 / 7 : firefox (RHSA-2015:2657)NessusRed Hat Local Security Checks
critical
87450Oracle Linux 5 / 6 / 7 : firefox (ELSA-2015-2657)NessusOracle Linux Local Security Checks
critical
87429Debian DSA-3422-1 : iceweasel - security updateNessusDebian Local Security Checks
critical
87425CentOS 5 / 6 / 7 : firefox (CESA-2015:2657)NessusCentOS Local Security Checks
critical
87406Ubuntu 12.04 LTS / 14.04 LTS / 15.04 / 15.10 : firefox vulnerabilities (USN-2833-1)NessusUbuntu Local Security Checks
critical
87385FreeBSD : mozilla -- multiple vulnerabilities (2c2d1c39-1396-459a-91f5-ca03ee7c64c6)NessusFreeBSD Local Security Checks
critical